Fedora Core 5 : libtiff-3.7.4-6 (2006-592)

High Nessus Plugin ID 24117


The remote Fedora Core host is missing a security update.


The tiffsplit command contained code that handled fixed-size buffers insecurely, possibly leading to stack overflows.

This problem is fixed in the updated package.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected libtiff, libtiff-debuginfo and / or libtiff-devel packages.

See Also


Plugin Details

Severity: High

ID: 24117

File Name: fedora_2006-592.nasl

Version: $Revision: 1.11 $

Type: local

Agent: unix

Published: 2007/01/17

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:libtiff, p-cpe:/a:fedoraproject:fedora:libtiff-debuginfo, p-cpe:/a:fedoraproject:fedora:libtiff-devel, cpe:/o:fedoraproject:fedora_core:5

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2006/05/25

Reference Information

FEDORA: 2006-592